ChangeSet 1.1253, 2003/06/18 16:55:20-07:00, olh@suse.de

[PATCH] USB: incorrect ethtool -i driver name

ethtool -i ethX should return the driver name instead of a 'verbose'
string. Other tools rely on the output.
2.5 might need a similar fix.

smirnow:~ # ethtool -i eth0
driver: 3c59x
version: LK1.1.16
firmware-version:
bus-info: 00:0a.0
smirnow:~ # ethtool -i eth1
driver: Pegasus/Pegasus II USB Ethernet v0.4.30 (2003/04/01)
version: v0.4.30 (2003/04/01)
firmware-version:
bus-info: usb1:8


 drivers/usb/CDCEther.c |    2 +-
 drivers/usb/catc.c     |    2 +-
 drivers/usb/rtl8150.c  |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)


diff -Nru a/drivers/usb/CDCEther.c b/drivers/usb/CDCEther.c
--- a/drivers/usb/CDCEther.c	Wed Jun 18 17:35:00 2003
+++ b/drivers/usb/CDCEther.c	Wed Jun 18 17:35:00 2003
@@ -460,7 +460,7 @@
 	/* get driver info */
 	case ETHTOOL_GDRVINFO: {
 	struct ethtool_drvinfo info = {ETHTOOL_GDRVINFO};
-		strncpy(info.driver, SHORT_DRIVER_DESC, ETHTOOL_BUSINFO_LEN);
+		strncpy(info.driver, "CDCEther", ETHTOOL_BUSINFO_LEN);
 		strncpy(info.version, DRIVER_VERSION, ETHTOOL_BUSINFO_LEN);
 		sprintf(tmp, "usb%d:%d", ether_dev->usb->bus->busnum, ether_dev->usb->devnum);
 		strncpy(info.bus_info, tmp, ETHTOOL_BUSINFO_LEN);
diff -Nru a/drivers/usb/catc.c b/drivers/usb/catc.c
--- a/drivers/usb/catc.c	Wed Jun 18 17:35:00 2003
+++ b/drivers/usb/catc.c	Wed Jun 18 17:35:00 2003
@@ -674,7 +674,7 @@
         /* get driver info */
         case ETHTOOL_GDRVINFO: {
                 struct ethtool_drvinfo info = {ETHTOOL_GDRVINFO};
-                strncpy(info.driver, SHORT_DRIVER_DESC, ETHTOOL_BUSINFO_LEN);
+                strncpy(info.driver, "catc", ETHTOOL_BUSINFO_LEN);
                 strncpy(info.version, DRIVER_VERSION, ETHTOOL_BUSINFO_LEN);
 		sprintf(tmp, "usb%d:%d", catc->usbdev->bus->busnum, catc->usbdev->devnum);
                 strncpy(info.bus_info, tmp,ETHTOOL_BUSINFO_LEN);
diff -Nru a/drivers/usb/rtl8150.c b/drivers/usb/rtl8150.c
--- a/drivers/usb/rtl8150.c	Wed Jun 18 17:35:00 2003
+++ b/drivers/usb/rtl8150.c	Wed Jun 18 17:35:00 2003
@@ -578,7 +578,7 @@
 	case ETHTOOL_GDRVINFO:{
 			struct ethtool_drvinfo info = { ETHTOOL_GDRVINFO };
 
-			strncpy(info.driver, DRIVER_DESC, ETHTOOL_BUSINFO_LEN);
+			strncpy(info.driver, "rtl8150", ETHTOOL_BUSINFO_LEN);
 			strncpy(info.version, DRIVER_VERSION,
 				ETHTOOL_BUSINFO_LEN);
 			sprintf(tmp, "usb%d:%d", dev->udev->bus->busnum,
